Skip to main content
POST
Let NX1 register itself with the host

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

provider
string
required

The code host's key.

Body

application/json

Register a provider's OAuth app.

client_id
string
default:""
Maximum string length: 256
client_secret
string | null

Write-only. Empty keeps the stored one.

Maximum string length: 512
base_url
string | null

A self-hosted host's base URL.

Maximum string length: 512
directory
string | null

Azure DevOps' Entra directory.

Maximum string length: 128

Response

Successful Response

The response is of type Response Dynamic Register Api Code Hosts Apps Provider Register Post · object.